Bug 823814 - [abrt] python-2.7.3-6.fc17: db_env_create: Process /usr/bin/python2.7 was killed by signal 7 (SIGBUS)
[abrt] python-2.7.3-6.fc17: db_env_create: Process /usr/bin/python2.7 was kil...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:2d7325e2d146ec17bce47e1eebe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 04:42 EDT by Kamil Páral
Modified: 2012-11-21 13:42 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-21 13:42:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.75 KB, text/plain)
2012-05-22 04:42 EDT, Kamil Páral
no flags Details
File: backtrace (97.14 KB, text/plain)
2012-05-22 04:42 EDT, Kamil Páral
no flags Details
File: maps (52.18 KB, text/plain)
2012-05-22 04:42 EDT, Kamil Páral
no flags Details
File: dso_list (17.82 KB, text/plain)
2012-05-22 04:43 EDT, Kamil Páral
no flags Details
anaconda.log (2.55 KB, text/plain)
2012-05-22 04:45 EDT, Kamil Páral
no flags Details
program.log (74.13 KB, text/plain)
2012-05-22 04:46 EDT, Kamil Páral
no flags Details
storage.log (149.58 KB, text/plain)
2012-05-22 04:46 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-05-22 04:42:10 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /sbin/anaconda --liveinst --method=livecd:///dev/loop3 --lang en_US.UTF-8 --xdriver=vesa
comment:        Anaconda was killed in the step where it examines available disk drives.
crash_function: db_env_create
executable:     /usr/bin/python2.7
kernel:         3.3.4-5.fc17.i686
pid:            1540
pwd:            /home/liveuser
remote_result:  NOTFOUND
time:           Tue 22 May 2012 04:14:48 AM EDT
uid:            0
username:       root
var_log_messages: May 22 04:14:49 localhost abrt[1730]: Saved core dump of pid 1540 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-05-22-04:14:48-1540 (42229760 bytes)

backtrace:      Text file, 99471 bytes
core_backtrace: Text file, 5892 bytes
dso_list:       Text file, 18252 bytes
maps:           Text file, 53430 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/liveuser/1

environ:
:'DESKTOP_STARTUP_ID=userhelper/Starting Install to Hard Drive/1193-0-localhost.localdomain_TIME0'
:TERM=dumb
:SHELL=/bin/bash
:USER=root
:PATH=/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/root/bin
:ANACONDA_BUGURL=https://bugzilla.redhat.com/bugzilla/
:PWD=/home/liveuser
:ANACONDA_ISFINAL=true
:LANG=en_US.UTF-8
:ANACONDA_PRODUCTNAME=Fedora
:SHLVL=1
:HOME=/root
:LOGNAME=root
:ANACONDA_PRODUCTVERSION=17
:DISPLAY=:0
:USERHELPER_UID=1000
:XAUTHORITY=/root/.xauthU0jsxO
:_=/sbin/anaconda

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7742                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7742                 7742                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/liveuser/.xsession-errors
:pos:	3678
:flags:	02002
:2:/home/liveuser/.xsession-errors
:pos:	3678
:flags:	02002
:3:/tmp/anaconda.log
:pos:	2611
:flags:	0102001
:4:/tmp/storage.log
:pos:	153165
:flags:	0102001
:5:socket:[19986]
:pos:	0
:flags:	02
:6:/dev/tty3
:pos:	0
:flags:	0102001
:7:socket:[19987]
:pos:	0
:flags:	02
:8:/dev/tty3
:pos:	0
:flags:	0102001
:9:/tmp/program.log
:pos:	75911
:flags:	0102001
:10:socket:[19988]
:pos:	0
:flags:	02
:11:/dev/tty3
:pos:	0
:flags:	02102001
:12:/tmp/anaconda.log
:pos:	743
:flags:	02102001
:13:/tmp/program.log
:pos:	38521
:flags:	0102001
:14:socket:[20024]
:pos:	0
:flags:	02004002
:15:socket:[20027]
:pos:	0
:flags:	02000002
:16:/tmp/ifcfg.log
:pos:	0
:flags:	0102001
:17:/dev/tty3
:pos:	0
:flags:	0102001
:18:socket:[19996]
:pos:	0
:flags:	02
:19:pipe:[20058]
:pos:	0
:flags:	00
:20:pipe:[20058]
:pos:	0
:flags:	04001
:21:socket:[20042]
:pos:	0
:flags:	02004002
:22:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:23:/dev/mapper/control
:pos:	0
:flags:	0100002

smolt_data:
:
:
:General
:=================================
:UUID: 7be08696-ae3e-4634-bb6a-3c3ac46d3cba
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5586.11
:CPU Vendor: GenuineIntel
:CPU Model: QEMU Virtual CPU version 0.15.1
:CPU Stepping: 3
:CPU Family: 6
:CPU Model Num: 2
:Number of CPUs: 1
:CPU Speed: 2792
:System Memory: 980
:System Swap: 0
:Vendor: Bochs
:System: Bochs 
:Form factor: Other
:Kernel: 3.3.4-5.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6900:4098:6900:5) pci, virtio-pci, RAM, Virtio memory balloon
:(6966:256:6900:4352) pci, None, VIDEO, N/A
:(6900:4099:6900:3) pci, virtio-pci, SIMPLE, Virtio console
:(6900:4096:6900:1) pci, virtio-pci, ETHERNET, Virtio network device
:(32902:9832:6900:4352) pci, snd_hda_intel, MULTIMEDIA, 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller
:(32902:4663:6900:4352) pci, None, HOST/PCI, Qemu virtual machine
:(6900:4097:6900:2) pci, virtio-pci, SCSI, Virtio block device
:(32902:28947:6900:4352) pci, piix4_smbus, BRIDGE, Qemu virtual machine
:(32902:28704:6900:4352) pci, uhci_hcd, USB, Qemu virtual machine
:(32902:28688:6900:4352) pci, ata_piix, STORAGE, Qemu virtual machine
:(32902:28672:6900:4352) pci, None, PCI/ISA, Qemu virtual machine
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sr0 WITHHELD iso9660 2048 2048 330781 0 0 0 0 0
:/dev/mapper/live-rw / ext4 4096 4096 1045750 402339 391855 262144 161967 161967
:
Comment 1 Kamil Páral 2012-05-22 04:42:48 EDT
Created attachment 585962 [details]
File: core_backtrace
Comment 2 Kamil Páral 2012-05-22 04:42:51 EDT
Created attachment 585963 [details]
File: backtrace
Comment 3 Kamil Páral 2012-05-22 04:42:55 EDT
Created attachment 585964 [details]
File: maps
Comment 4 Kamil Páral 2012-05-22 04:43:02 EDT
Created attachment 585965 [details]
File: dso_list
Comment 5 Kamil Páral 2012-05-22 04:45:59 EDT
Created attachment 585966 [details]
anaconda.log
Comment 6 Kamil Páral 2012-05-22 04:46:23 EDT
Created attachment 585967 [details]
program.log
Comment 7 Kamil Páral 2012-05-22 04:46:34 EDT
Created attachment 585968 [details]
storage.log
Comment 8 Kamil Páral 2012-05-22 04:53:42 EDT
Anaconda kept crashing (or rather being killed) when I run it again in the same session. But after I rebooted the VM, the installation went fine. Therefore I can't reproduce.
Comment 9 Dave Malcolm 2012-05-22 11:36:48 EDT
Looking at attachment 585963 [details], the pc is at the very top of db_env_create doing a:
   push   %esi
within the implementation of DBEnv() within a call (frame #8) to
   hashopen(file='/tmp/storage.state', flag='c')
whilst calling (frame #20)
   DbfilenameShelf.__init__()
within (frame #35):
   /usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py, line 1340:  dumpState
frame #38:
   /usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py, line 495, in reset
frame #42:
  /usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py, line 102, in  storageInitialize
etc

I don't see SIGBUS very often.  Could this be a stack overflow perhaps?

Or perhaps something's up at the virt level?
Comment 10 Chris Lumens 2012-11-21 13:42:31 EST
In the zillion installs I've done, I've never seen anything like this before.  Plus the reporter says he cannot reproduce it.  I'm going to close for now, but if it does come back up, feel free to reopen and we can devote some time to trying to figure it out.

Note You need to log in before you can comment on or make changes to this bug.